Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## estella.lib
Class Tempo

    java.lang.Object
      estella.lib.Tempo

    public class Tempo

extends java.lang.Object

Funcoes de tempo

Since:
  20/11/2005

Constructor Summary
`Tempo()`

Method Summary
`static java.lang.String` | `data()` Data atual
`static boolean` | `espera(int tempo)` Espera ocupada
`static boolean` | `esperaMS(int tempo)`
`static java.lang.String` | `hora()` Horario

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Tempo

    public Tempo()

Method Detail

### data

    public static java.lang.String data()

  Data atual

  Returns:
    String com a data atual no formato DD/MM/AAAA

### hora

    public static java.lang.String hora()

  Horario

  Returns:
    String com a hora atual no format HH:mm:ss

### espera

    public static boolean espera(int tempo)

  Espera ocupada

  Parameters:
    `tempo` - (s) - tempo desejado para a espera
  Returns:
    true ou false

### esperaMS

    public static boolean esperaMS(int tempo)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD